## org.eclipse.datatools.sqltools.sqlbuilder.views.graph
Class GraphControl.HoverTrackAdapter

    java.lang.Object
      org.eclipse.swt.events.MouseTrackAdapter
          org.eclipse.datatools.sqltools.sqlbuilder.views.graph.GraphControl.HoverTrackAdapter

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.MouseListener, org.eclipse.swt.events.MouseMoveListener, org.eclipse.swt.events.MouseTrackListener, org.eclipse.swt.internal.SWTEventListener

Enclosing class:
  GraphControl

    public class GraphControl.HoverTrackAdapter

extends org.eclipse.swt.events.MouseTrackAdapter
implements org.eclipse.swt.events.MouseMoveListener, org.eclipse.swt.events.MouseListener

Constructor Summary
`GraphControl.HoverTrackAdapter(org.eclipse.swt.widgets.Control control)`

Method Summary
`void` `mouseDoubleClick(org.eclipse.swt.events.MouseEvent e)`
`void` `mouseDown(org.eclipse.swt.events.MouseEvent e)`
`void` `mouseExit(org.eclipse.swt.events.MouseEvent e)`
`void` `mouseMove(org.eclipse.swt.events.MouseEvent e)`
`void` `mouseUp(org.eclipse.swt.events.MouseEvent e)`

Methods inherited from class org.eclipse.swt.events.MouseTrackAdapter
`mouseEnter, mouseHover`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphControl.HoverTrackAdapter

    public GraphControl.HoverTrackAdapter(org.eclipse.swt.widgets.Control control)

Method Detail

### mouseExit

    public void mouseExit(org.eclipse.swt.events.MouseEvent e)

  Specified by:
    `mouseExit` in interface `org.eclipse.swt.events.MouseTrackListener`
  Overrides:
    `mouseExit` in class `org.eclipse.swt.events.MouseTrackAdapter`

### mouseMove

    public void mouseMove(org.eclipse.swt.events.MouseEvent e)

  Specified by:
    `mouseMove` in interface `org.eclipse.swt.events.MouseMoveListener`

### mouseDoubleClick

    public void mouseDoubleClick(org.eclipse.swt.events.MouseEvent e)

  Specified by:
    `mouseDoubleClick` in interface `org.eclipse.swt.events.MouseListener`

### mouseUp

    public void mouseUp(org.eclipse.swt.events.MouseEvent e)

  Specified by:
    `mouseUp` in interface `org.eclipse.swt.events.MouseListener`

### mouseDown

    public void mouseDown(org.eclipse.swt.events.MouseEvent e)

  Specified by:
    `mouseDown` in interface `org.eclipse.swt.events.MouseListener`